package com.gh.common.iinterface

import com.gh.common.prioritychain.PullDownPushHandler
import com.gh.gamecenter.entity.PullDownPush

interface ISmartRefresh {
    fun setSmartRefreshEnabled(isEnable: Boolean)
    fun finishTwoLevel(action: String)
    fun finishRefresh()
    fun popupPullDownPush(finishCallback: () -> Unit)
    fun setPullDownPush(pullDownPush: PullDownPush?, pullDownPushHandler: PullDownPushHandler?)
}